{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
{% if company %}Modifier{% else %}Ajouter{% endif %} une entreprise
{% endblock %}




{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}


{% block main %}
<h1 class="text-2xl font-semibold text-center mb-4">Ajouter une entreprise</h1>

<form method="POST" class="shadow rounded px-4 py-3 gap-4 flex flex-col">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Nom de l'entreprise</label>
        <input id="student_number" name="name" type="text" required {% if company %}value="{{ company.name }}"
            {% endif %} placeholder="Écrivez le nom de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>



    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">SIRET de l'entreprise</label>
        <input name="siret" type="text" required {% if company %}value="{{ company.siret }}" {% endif %}
            placeholder="Écrivez le SIRET de l'entreprice ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Ville de l'entreprise</label>
        <input name="ville" type="text" required {% if company %}value="{{ company.ville }}" {% endif %}
            placeholder="Écrivez la ville de l'entreprice ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Code postale</label>
        <input name="cpostal" type="text" required {% if company %}value="{{ company.cpostal }}" {% endif %}
            placeholder="Écrivez le code postal de l'entreprice ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Adresse de l'entreprise</label>
        <input name="address" type="text" required {% if company %}value="{{ company.address }}" {% endif %}
            placeholder="Écrivez l'adresse de l'entreprice ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>




    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Adresse email de l'entreprise</label>
        <input name="contact_email" type="email" required {% if company %}value="{{ company.contact_email }}"
            {% endif %} placeholder="Écrivez l'adresse email de l'entreprice ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>



    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Numéro de téléphone de l'entreprise</label>
        <input name="contact_phone" type="tel" required {% if company %}value="{{ company.contact_phone }}" {% endif %}
            placeholder="Écrivez le numéro de téléphone de l'entreprice ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm" for ="compnay-activites">La(s) activité(s) de l'entreprise</label>
        <select name="compnay-activites" id="compnay-activites" multiple>
            {% for activity in get_all_activites() %}
            <option value="{{ activity.id }}">{{ activity.domaine }}</option>
            {% endfor %}
        </select>
        <a class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex" href="{{ url_for('new_activity', userT='sudo') }}">Activité non trouvée ? En ajouter</a>
    </div>







    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Nom du responsable</label>
        <input name="last_name" type="text" required {% if company %}value="{{ company.responsable.last_name }}"
            {% endif %} placeholder="Écrivez le nom du responsable ici"
            onkeyup="this.value = this.value.toUpperCase();"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>




    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Prénom du responsable</label>
        <input name="first_name" type="text" required {% if company %}value="{{ company.responsable.first_name }}"
            {% endif %} placeholder="Écrivez le prénom du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>




    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Email du responsable</label>
        <input name="email" type="email" required {% if company %}value="{{ company.responsable.email }}" {% endif %}
            placeholder="Écrivez l'email du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Numéro de téléphone du responsable</label>
        <input name="phone_number" type="tel" required {% if company %}value="{{ company.responsable.phone_number }}"
            {% endif %} placeholder="Écrivez le numéro de téléphone du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>


    <button
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
        {% if company %}Modifier{% else %}Ajouter{% endif %}
        l'entreprise</button>
</form>
{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}